"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupRcJson = void 0;
const tslib_1 = require("tslib");
const url_setup_1 = require("../../collect/options/url.setup");
const ufPath_setup_1 = require("../../collect/options/ufPath.setup");
const format_setup_1 = require("../../collect/options/format.setup");
const outPath_setup_1 = require("../../collect/options/outPath.setup");
const rc_1 = require("../../../core/options/rc");
const rc_json_1 = require("../../../core/rc-json");
const loggin_1 = require("../../../core/utils/loggin");
function setupRcJson(cliCfg) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const config = Object.assign(Object.assign({}, cliCfg), (yield (0, url_setup_1.setupUrl)(cliCfg)
            .then(ufPath_setup_1.setupUfPath)
            .then(format_setup_1.setupFormat)
            .then(outPath_setup_1.setupOutPath)
        // initial static defaults should be last as it takes user settings
        ));
        const rcPath = (0, rc_1.get)();
        (0, rc_json_1.updateRcConfig)(config, rcPath);
        (0, loggin_1.logVerbose)(config);
        return config;
    });
}
exports.setupRcJson = setupRcJson;
//# sourceMappingURL=setup-rc-json.js.map