"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addUserFlow = exports.getExamplePathDest = exports.getExamplePathSrc = void 0;
const path_1 = require("path");
const file_1 = require("../../core/utils/file");
const loggin_1 = require("../../core/utils/loggin");
const FlowExampleMap = {
    'basic-navigation': 'order-coffee.uf.ts'
};
function getExamplePathSrc(flowExample, folder) {
    const fileName = FlowExampleMap[flowExample];
    return (0, path_1.join)(__dirname, 'static', fileName);
}
exports.getExamplePathSrc = getExamplePathSrc;
function getExamplePathDest(flowExample, folder) {
    const fileName = FlowExampleMap[flowExample];
    return (0, path_1.join)(folder, fileName);
}
exports.getExamplePathDest = getExamplePathDest;
function addUserFlow(flowExample, folder) {
    if (!Object.keys(FlowExampleMap).includes(flowExample)) {
    }
    const fileName = FlowExampleMap[flowExample];
    const exampleSourceLocation = (0, path_1.join)(__dirname, 'static', fileName);
    const exampleDestination = (0, path_1.join)(folder, fileName);
    if ((0, file_1.readFile)(exampleDestination) !== '') {
        throw new Error(`No flow example given for name ${flowExample}.`);
    }
    const fileContent = (0, file_1.readFile)(exampleSourceLocation, true).toString();
    (0, loggin_1.logVerbose)('fileContent', fileContent);
    (0, file_1.writeFile)(exampleDestination, fileContent);
    (0, loggin_1.log)(`setup user-flow for basic navigation in ${folder} successfully`);
}
exports.addUserFlow = addUserFlow;
//# sourceMappingURL=utils.js.map